---@meta

---@class UWBP_Build_CategoryButton_C : UB1BuildCategoryButton
---@field UberGraphFrame FPointerToUberGraphFrame
---@field Anim_Released UWidgetAnimation
---@field Anim_Selected UWidgetAnimation
---@field Anim_Hover UWidgetAnimation
---@field Anim_Idle UWidgetAnimation
---@field Image_Hover UB1Image
---@field Image_Selected UB1Image
---@field Image_Shadow UB1Image
local UWBP_Build_CategoryButton_C = {}

---@param InSelected boolean
function UWBP_Build_CategoryButton_C:OnFilterCategorySelected(InSelected) end
function UWBP_Build_CategoryButton_C:BndEvt__WBP_Build_CategoryButton_Button_Category_K2Node_ComponentBoundEvent_0_OnButtonHoverEvent__DelegateSignature() end
function UWBP_Build_CategoryButton_C:BndEvt__WBP_Build_CategoryButton_Button_Category_K2Node_ComponentBoundEvent_1_OnButtonHoverEvent__DelegateSignature() end
---@param Value float
UWBP_Build_CategoryButton_C['OnValueChanged_이벤트'] = function(self, Value) end
---@param EntryPoint int32
function UWBP_Build_CategoryButton_C:ExecuteUbergraph_WBP_Build_CategoryButton(EntryPoint) end


